@import "../../.././common/css/media";

.cmp-teaser--defaultTeaser {
    .cmp-teaser {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: row-reverse;
        gap: 30px;

        @include mobile {
            padding: 40px 16px;
            // justify-content: center;
            text-align: center;
            flex-direction: column-reverse;
        }

        .cmp-teaser__content {
            .cmp-teaser__title {
                color: #000;
                font-size: 49px;
                font-style: normal;
                font-weight: 500;
                line-height: 40px;

                @include mobile {
                    padding-top: 24px;
                    font-size: 34px;
                }
            }

            .cmp-teaser__description {
                // width: 71.52%;
                padding: 16px 0px;
                color: #909090;
                font-size: 14px;
                font-weight: 500;
                line-height: 24px;

                @include mobile {
                    width: 100%;
                    font-size: 16px;
                    padding-top: 8px;
                }
            }

            .cmp-teaser__action-container {
                display: inline-block;
                padding: 16px 56px;
                border-radius: 6px;
                border: 1px solid #000;

                .cmp-teaser__action-link {
                    color: #000;
                    font-size: 16px;
                    font-weight: 500;
                    line-height: 24px;
                }
            }
        }

        .cmp-teaser__image {
            .cmp-image {
                font-size: 0;

                @include mobile {
                    img {
                        max-height: 100%;
                    }
                }

            }
        }
    }
}